package it.unisannio.ding.ids.wedroid.app.view;

import android.content.Intent;
import android.os.Bundle;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;

import android.view.View;
import android.widget.EditText;
import android.widget.Switch;

import it.unisannio.ding.ids.wedroid.app.R;

public class NewBoardActivity extends AppCompatActivity {
    private EditText boardName;
    private Switch isPrivate;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_new_board);
        Toolbar toolbar = findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        boardName = findViewById(R.id.newBoardName);
        isPrivate = findViewById(R.id.newBoardPermission);
    }

    public void onDone(View v) {
        Intent data = new Intent();
        data.putExtra(BOARD_NAME, boardName.getText().toString());
        data.putExtra(BOARD_PRIVATE, isPrivate.isChecked());
        setResult(RESULT_OK, data);
        finish();
    }

    public void onCancel(View v) {
        finish();
    }

    public static final int RESULT_OK = 17;
    public static final String BOARD_NAME = "BOARD_NAME";
    public static final String BOARD_PRIVATE = "BOARD_PRIVATE";
}
